ODK API Portal
한국어
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • Deprecated
  • Recent changes
Information
carousel-group
    /odx/api/v4/carousel-group/postGet active carousel groupsgetGet carousel group detailget
Carousel
category-channels
category-navigation
category
channels
consent
content
Continue Watching
cover
deletion-request
device-data
Favorites
multichannel
Onboarding
parental-control
Amasian Parental PIN
playback
policy
recommendation
search
season
series
service-config
Schemas
powered by Zudoku
ODX API v4
ODX API v4

carousel-group


POST
https://odkmedia.io
/odx/api/v4/carousel-group/

Carousel group management API viewset. Provides carousel group information and active group status. Only supports retrieve and active group queries.

Request Body

AmasianCarouselGroupRequest
carousel_ids
​integer[] · writeOnly
enabled
​boolean
refresh_time
​integer · min: -2147483648 · max: 2147483647
slug
​string | null · maxLength: 256
type
​AmasianCarouselGroupTypeEnum · enum
  • browser - Browser
  • channel - Channel
Enum values:
browser
channel

Responses

AmasianCarouselGroup
carousel
​string · readOnly
enabled
​boolean
id
​integer · readOnly
refresh_time
​integer · min: -2147483648 · max: 2147483647
slug
​string | null · maxLength: 256
type
​AmasianCarouselGroupTypeEnum · enum
  • browser - Browser
  • channel - Channel
Enum values:
browser
channel
POST/odx/api/v4/carousel-group/
curl https://odkmedia.io/odx/api/v4/carousel-group \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "carousel_ids": [ 0 ], "enabled": true, "refresh_time": 0, "slug": "slug", "type": "browser" }'
Example Request Body
{ "carousel_ids": [ 0 ], "enabled": true, "refresh_time": 0, "slug": "slug", "type": "browser" }
json
Example Responses
{ "carousel": "carousel", "enabled": true, "id": 0, "refresh_time": 0, "slug": "slug", "type": "browser" }
json
application/json

Get active carousel groups

GET
https://odkmedia.io
/odx/api/v4/carousel-group/active/

Retrieve active carousel group slugs by type.

Get active carousel groups › Responses

200

Active carousel groups by type

No data returned
GET/odx/api/v4/carousel-group/active/
curl https://odkmedia.io/odx/api/v4/carousel-group/active
Example Responses
No example specified for this content type

Get carousel group detail

GET
https://odkmedia.io
/odx/api/v4/carousel-group/{slug}/

Retrieve detailed carousel group information by slug.

Get carousel group detail › path Parameters

slug
​string · required

Carousel group slug identifier

Example: browser-group

Get carousel group detail › Responses

캐러셀 그룹 API 정보를 나타내는 시리얼라이저입니다.
AmasianCarouselGroupApi
​object[] · readOnly

List of enabled carousels in this group

Example: [{"id":1,"image_orientation":"landscape","slug":"popular-series","title":"Popular Series"},{"id":2,"image_orientation":"landscape","slug":"new-releases","title":"New Releases"}]
refresh_time
​integer · min: -2147483648 · max: 2147483647
GET/odx/api/v4/carousel-group/{slug}/
curl https://odkmedia.io/odx/api/v4/carousel-group/:slug
Example Responses
{ "items": [ { "id": 1, "image_orientation": "landscape", "slug": "popular-series", "title": "Popular Series" }, { "id": 2, "image_orientation": "landscape", "slug": "new-releases", "title": "New Releases" } ], "refresh_time": 0 }
json
application/json

Carousel